/* Version: 251311 */

/* Biến màu sắc */
:root {
  --main-color: #5cb85c; /* Màu xanh */
}

/* Định nghĩa font chữ Segoe UI */
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeui.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeuib.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeuiz.ttf') format('truetype');
  font-weight: 700;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeuii.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeuil.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguili.ttf') format('truetype');
  font-weight: 100;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/segoeuisl.ttf') format('truetype');
  font-weight: 200;
  font-style: normal;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguisli.ttf') format('truetype');
  font-weight: 200;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguisb.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguisbi.ttf') format('truetype');
  font-weight: 500;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguibli.ttf') format('truetype');
  font-weight: 900;
  font-style: italic;
}
@font-face {
  font-family: 'Segoe UI';
  src: url('../fonts/seguibl.ttf') format('truetype');
  font-weight: 900;
  font-style: italic;
}

/* Thiết lập chung */
body {
  margin-top: 50px;
  font-family: "Segoe UI";
  font-size: 16px;
}

code {
  font-family: "Segoe UI";
}

hr {
  width: 50px;
  height: 3px;
  background: var(--main-color);
  margin: 0 auto;
  margin-top: 30px;
  margin-bottom: 40px;
}

pre {
  background: transparent;
  border: 0;
  width: 100%;
  padding: 20px;
  margin-top: -20px;
  overflow: auto;
  white-space: pre-wrap;
}

a:focus {
  outline: none;
}

/* Điều chỉnh cho thiết bị di động */
@media (max-width: 767px) {
  body {
    margin-top: 10px;
  }
}

/* Class tiện ích */
.padding0 {
  padding: 0;
}
.white {
  background: #fff;
}
.grey {
  background: #efefef;
}

.mt-0 {
  margin-top: 0!important;
}

.mt-1 {
  margin-top: 0.25rem!important;
}

.mt-2 {
  margin-top: 0.5rem!important;
}

.mt-3 {
  margin-top: 1rem!important;
}

.mt-4 {
  margin-top: 1.5rem!important;
}

.mt-5 {
  margin-top: 2rem!important;
}

.mb-0 {
  margin-bottom: 0!important;
}

.mb-1 {
  margin-bottom: 0.25rem!important;
}

.mb-2 {
  margin-bottom: 0.5rem!important;
}

.mb-3 {
  margin-bottom: 1rem!important;
}

.mb-4 {
  margin-bottom: 1.5rem!important;
}

.mb-5 {
  margin-bottom: 2rem!important;
}

.mr-0 {
  margin-right: 0!important;
}

.mr-1 {
  margin-right: 0.25rem!important;
}

.mr-2 {
  margin-right: 0.5rem!important;
}

.mr-3 {
  margin-right: 1rem!important;
}

.mr-4 {
  margin-right: 1.5rem!important;
}

.mr-5 {
  margin-right: 2rem!important;
}

.ml-0 {
  margin-left: 0!important;
}

.ml-1 {
  margin-left: 0.25rem!important;
}

.ml-2 {
  margin-left: 0.5rem!important;
}

.ml-3 {
  margin-left: 1rem!important;
}

.ml-4 {
  margin-left: 1.5rem!important;
}

.ml-5 {
  margin-left: 2rem!important;
}

/* Thiết lập navbar */
.navbar-brand {
  outline: none;
}

.navbar-white {
  background: hsla(0, 0%, 100%, 0.975);
  border-color: #f0f0f0;
}
.navbar-white span {
  font-size: 1.25em;
}
.navbar-white .navbar-brand {
  color: var(--main-color);
}
.navbar-white .navbar-brand:hover,
.navbar-white .navbar-brand:focus {
  color: hsla(0, 100%, 0%, 1);
  background-color: transparent;
}
.navbar-white .navbar-nav > li > a {
  color: hsla(0, 100%, 0%, 0.54);
}
.navbar-white .navbar-nav > li > a:hover,
.navbar-white .navbar-nav > li > a:focus {
  color: hsla(0, 100%, 0%, 1);
  background-color: transparent;
}
.navbar-white .navbar-nav > li.active {
  background-color: #fff;
  border-bottom: 2px var(--main-color) solid;
}
.navbar-white .navbar-toggle {
  border-color: hsla(0, 100%, 0%, 0);
  color: hsla(0, 100%, 0%, 0.54);
  font-size: 1.2em;
}
.navbar-white .navbar-toggle:hover,
.navbar-white .navbar-toggle:focus {
  color: hsla(0, 100%, 0%, 1);
  background: hsla(0, 0%, 10 0, 0.3);
}
.navbar-white .visible-xs {
  margin: -20px 0 0 30px;
  font-size: 1em;
}

/* Cấu trúc chung của section */
.section {
  padding: 75px 0;
}

@media (min-width: 767px) {
  .section {
    padding: 35px 0;
  }
}

.section h3 {
  font-weight: 400;
}
.section p {
  font-size: 1.1em;
}

/* Section Superhero */
.section-superhero h3 {
  font-size: 2.2em;
  color: hsla(0, 100%, 0%, 0.87);
  text-align: center;
}
.section-superhero a {
  margin-bottom: 10px;
}
.section-superhero p {
  font-size: 1.1em;
  padding: 15px 0;
  margin-bottom: 30px;
}
.section-superhero button {
  margin-top: 20px;
}
@media (max-width: 767px) {
  .section-superhero > a:last-of-type > button {
    margin-bottom: 0;
  }
}

/* Biểu tượng hình tròn (Circle Icon) */
.circle-icon {
  text-align: center;
  margin-top: 25px;
}
.circle-icon > div {
  border: 1px hsla(0, 100%, 0%, 0.3) solid;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  line-height: 110px;
  margin: 0 auto;
}
.circle-icon > div > i {
  font-size: 2.5em;
  color: hsla(0, 100%, 0%, 0.4);
}
.circle-icon > p {
  width: 85%;
  text-align: center;
  margin: 0 auto;
}
.circle-icon > p:first-of-type {
  font-size: 1.4em;
  color: hsla(0, 100%, 0%, 0.87);
  padding: 30px 0 10px 0;
}
.circle-icon > p:last-of-type {
  font-size: 1.15em;
  color: hsla(0, 100%, 0%, 0.54);
}
.circle-icon .fa-space-shuttle {
  transform: rotate(270deg);
}
.circle-icon a {
  font-weight: 500;
}

/* Bảng (Table) */
.table {
  padding: 0 20px;
}

/* Danh sách ngang */
.horizontal-list {
  padding: 0;
  margin: 0;
}
.horizontal-list li {
  display: inline;
  margin-right: 15px;
}

/* Footer */
.footer {
  background: hsla(0, 100%, 0%, 0.75);
  padding: 30px 20px;
  padding-bottom: 20px;
}
.footer p {
  color: hsla(0, 0%, 100%, 0.8);
  font-size: 1.1em;
}
.footer p > a {
  color: hsla(0, 0%, 100%, 0.6);
}

/* Nút bấm (Button Styles) */
.btn {
  outline: none;
  font-weight: 500;
  font-size: 16px;
  box-shadow: none !important;
}

.btn:focus-visible {
  outline-style: solid !important;
  outline-width: 2px !important;
  outline-offset: 2px;
}

.btn:focus:not(:focus-visible),
.btn:active:focus {
  outline: none !important;
}

.btn-default,
.btn-secondary,
.btn-success,
.btn-primary,
.btn-danger {
  border: 1px solid !important;
  box-shadow: none !important;
}

.btn-default,
.btn-default:focus,
.btn-default:hover,
.btn-default:active:focus,
.btn-default:active {
  outline-color: #ccc !important;
  border-color: #ccc !important;
}

.btn-secondary,
.btn-secondary:focus,
.btn-secondary:hover,
.btn-secondary:active:focus,
.btn-secondary:active {
  outline-color: #ccc !important;
  border-color: #ccc !important;
}

.btn-success {
  outline-color: var(--main-color) !important;
  border-color: var(--main-color) !important;
}

.btn-success:focus,
.btn-success:hover,
.btn-success:active:focus,
.btn-success:active {
  outline-color: #449d44 !important;
  border-color: #449d44 !important;
}

.btn-primary {
  outline-color: #337ab7 !important;
  border-color: #337ab7 !important;
}

.btn-primary:focus,
.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary:active {
  outline-color: #286090 !important;
  border-color: #286090 !important;
}

.btn-danger {
  outline-color: #d9534f !important;
  border-color: #d9534f !important;
}

.btn-danger:focus,
.btn-danger:hover,
.btn-danger:active:focus,
.btn-danger:active {
  outline-color: #c9302c !important;
  border-color: #c9302c !important;
}


/* Kiểu form và tooltip */
.form-control {
  font-size: 16px;
  height: 37px;
}
.tooltip {
  font-family: "Segoe UI";
  font-size: 16px;
}
.select2-container--bootstrap .select2-selection {
  font-size: 16px !important;
}

/* Tiêu đề trang */
.title-page {
  text-align: center;
}
.panel-title {
  text-align: center;
}

/* Modal */
.modal-content {
  border: none;
  box-shadow: none;  
}

/* Label */
.label-as-badge {
  border-radius: 1em;
}

/* Font*/
.fwb {
  font-weight: bold;
}